Subject: OpenPGP header (was: Re: Meet in Paris?)

From: Simon Josefsson <[email-masked]>
Date: Wed, 03 Aug 2005 23:02:12 +0200

I forgot to raise the question of whether the WG wishes to adopt this
document as a work item.  Is there interest in doing so?

I fear the precise wording to deal with a "supports" token may be
contentious, and will likely bring back the PGP/MIME vs vanilla PGP in
e-mail environments discussion, so hold that in mind when deciding.

I think there are two orthogonal questions that a "supports" token
could address:

  1) Preference between PGP/MIME, vanilla PGP, or hybrid.
  2) To signal that the originator wants personal e-mail PGP
     encrypted.

It may be overloading to have the same token address both matters;
arguing for two new tokens.  It may also be that either one of 1) or
2) should not be done now.  As a proponent of a PGP/MIME-only e-mail
world -- possibly except for the few cases [1] when vanilla PGP can be
used interoperable -- I would not mind if 1) was not supported at all.

Thanks,
Simon

[1] US-ASCII, no format=flowed, no lines starting with From or '-',
see <http://josefsson.org/inline-openpgp-considered-harmful.html>

Derek Atkins <[email-masked]> writes:

> I'd be happy to put you on for 5-10 minutes?  I really don't
> think it will slow down 2440bis.
>
> -derek
>
> Simon Josefsson <[email-masked]> writes:
>
>> Derek Atkins <[email-masked]> writes:
>>
>>> Hi,
>>>
>>> Do the members of this working group feel we need a meeting
>>> in Paris?  I think we might want to meet in order to consider
>>> work beyond 2440bis (e.g. PFS, Mail-Headers, or other work
>>> that's been proposed).
>>
>> I would likely be around to talk about the OpenPGP mail header [1], if
>> there is interest.  Feedback from OpenPGP experts on the usefulness of
>> adding a "supports" token to the header is one open issue that may be
>> useful to discuss.
>>
>> I'd hate to see anything slow down 2440bis further though.
>>
>> [1] http://josefsson.org/openpgp-header/
>>
>>
>
> -- 
>        Derek Atkins                 617-623-3745
>        [email-masked]             www.ihtfp.com
>        Computer and Internet Security Consultant